Bug 158896 - [MAINTAINER] www/aws: fix doc build and test target
[MAINTAINER] www/aws: fix doc build and test target
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Frederic Culot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-14 14:10 UTC by freebsdml
Modified: 2011-07-19 12:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.73 KB, patch)
2011-07-14 14:10 UTC, freebsdml
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsdml 2011-07-14 14:10:10 UTC
Problem 1: python2.6 is hardcoded for the Makefile test target
Problem 2: During the documentation build, sed throws many errors.

The attached patch fixes both of these issues

Fix: Patch attached with submission follows:
How-To-Repeat: > make test

This installs aws first, and the sed errors will scroll by.
If python2.7 installed, the test will file.
Comment 1 Edwin Groothuis freebsd_committer 2011-07-14 14:10:18 UTC
Maintainer of www/aws,

Please note that PR ports/158896 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158896

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-07-14 14:10:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 draco 2011-07-14 14:47:31 UTC
Edwin,

The person that submitted the PR is also the maintainer.
The first word of the PR's title is "[MAINTAINER]".

Therefore, I approve the patch!

Regards,
John


On 7/14/2011 3:10 PM, Edwin Groothuis wrote:
> Maintainer of www/aws,
>
> Please note that PR ports/158896 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158896
>
Comment 4 freebsdml 2011-07-15 09:31:10 UTC
I see why this happened now.
I left the class as sw-bug instead of changing it to maintainer-update.

Since the maintainer submitted the patch, please change the class to 
"maintainer-update".
Sorry about that,
John
Comment 5 Frederic Culot freebsd_committer 2011-07-15 10:13:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 6 Mark Linimon freebsd_committer 2011-07-15 17:08:35 UTC
Class Changed
From-To: sw-bug->maintainer-update

actually a maintainer update.
Comment 7 Frederic Culot freebsd_committer 2011-07-17 10:19:40 UTC
Hi John,

I have applied your patch but when trying to build the port in my tinderbox
I still get some errors during the documentation generation phase:

http://people.freebsd.org/~culot/tinderbox/7.4-FreeBSD/aws-2.10.0.log

Did I miss something?

Moreover, do you really believe the PORTREVISION bump is needed here?

Thanks!
Frederic
Comment 8 freebsdml 2011-07-17 15:59:35 UTC
I agree that a PORTREVISION bump is unnecessary.

The errors shown on the log turn out to be limited to FreeBSD 7.x, which 
I didn't test.  I have already supplied replacement patches directly to 
Frederic which fix this and allow www/aws to build on all supported 
FreeBSD versions.

Thanks,
John
Comment 9 dfilter freebsd_committer 2011-07-19 11:58:31 UTC
culot       2011-07-19 10:58:23 UTC

  FreeBSD ports repository

  Modified files:
    www/aws              Makefile pkg-plist 
  Added files:
    www/aws/files        patch-docs__gentexifile 
                         patch-templates_parser__docs__gentexifile 
  Log:
  - Do not hardcode Python version in Makefile test target
  - Avoid sed errors during documentation build
  
  PR:             ports/158896
  Submitted by:   John Marino <freebsdml@marino.st> (maintainer)
  
  Revision  Changes    Path
  1.2       +1 -1      ports/www/aws/Makefile
  1.1       +27 -0     ports/www/aws/files/patch-docs__gentexifile (new)
  1.1       +30 -0     ports/www/aws/files/patch-templates_parser__docs__gentexifile (new)
  1.2       +3 -0      ports/www/aws/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Frederic Culot freebsd_committer 2011-07-19 11:58:47 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!